Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class Exp

    java.lang.Object
      org.apache.openjpa.kernel.exps.Exp

All Implemented Interfaces:
  Serializable, Expression

Direct Known Subclasses:
  AndExpression, BindVariableExpression, CompareExpression, ContainsExpression, InstanceofExpression, IsEmptyExpression, NotExpression, OrExpression, ValExpression, WhenCondition, WhenScalar

    public class Exp

extends Object
implements Expression

An in-memory representation of an `Expression`.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`Exp()`

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`protected boolean` | `eval(Collection candidates, StoreContext ctx, Object[] params)` Evaluate the expression for the given group.
`protected boolean` | `eval(Object candidate, Object orig, StoreContext ctx, Object[] params)` Evaluate the expression for the given context candidate and original candidate.
`boolean` | `evaluate(Collection candidates, StoreContext ctx, Object[] params)` Evaluate the expression for the given candidate group.
`boolean` | `evaluate(Object candidate, Object orig, StoreContext ctx, Object[] params)` Evaluate the expression for the given candidate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exp

    public Exp()

Method Detail

### evaluate

    public final boolean evaluate(Object candidate,
                                  Object orig,
                                  StoreContext ctx,
                                  Object[] params)

  Evaluate the expression for the given candidate.

### evaluate

    public final boolean evaluate(Collection candidates,
                                  StoreContext ctx,
                                  Object[] params)

  Evaluate the expression for the given candidate group.

### eval

    protected boolean eval(Object candidate,
                           Object orig,
                           StoreContext ctx,
                           Object[] params)

  Evaluate the expression for the given context candidate and original candidate.

### eval

    protected boolean eval(Collection candidates,
                           StoreContext ctx,
                           Object[] params)

  Evaluate the expression for the given group.

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Expression`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.